Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions | Variables
psych_parser.c File Reference
`#include <psych.h>`

Go to the source code of this file.

## Macros
#define | PSYCH_TRANSCODE(_str, _yaml_enc, _internal_enc)

## Functions
void | Init_psych_parser (void)

## Variables
VALUE | cPsychParser

## Macro Definition Documentation

## ◆ PSYCH_TRANSCODE

#define PSYCH_TRANSCODE | ( |  | _str,
|  |  | _yaml_enc,
|  |  | _internal_enc
| ) |  |

Value:
do { \
rb_enc_associate_index((_str), (_yaml_enc)); \
if(_internal_enc) \
(_str) = rb_str_export_to_enc((_str), (_internal_enc)); \
} while (0)

Definition at line 20 of file psych_parser.c.

## Function Documentation

## ◆ Init_psych_parser()

void Init_psych_parser | ( | void |  | ) |

Definition at line 537 of file psych_parser.c.

References cPsychParser, mPsych, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), and rb_define_module().

## Variable Documentation

## ◆ cPsychParser

VALUE cPsychParser

Definition at line 3 of file psych_parser.c.

Referenced by Init_psych_parser().

rb_str_export_to_enc
VALUE rb_str_export_to_enc(VALUE, rb_encoding *)
Definition: string.c:1135